IF OBJECT_ID('GT_ENVIO_PERFIL_DEST_CARAC_TRIB') IS NULL 
BEGIN
	CREATE TABLE GT_ENVIO_PERFIL_DEST_CARAC_TRIB (
		CD_CTR_ENVIO BIGINT NOT NULL,
		CARAC_TRIB INT NOT NULL)
END

GO

IF OBJECT_ID('PK_GT_ENVIO_PERFIL_DEST_CARAC_TRIB') IS NULL 
BEGIN
	ALTER TABLE GT_ENVIO_PERFIL_DEST_CARAC_TRIB ADD CONSTRAINT PK_GT_ENVIO_PERFIL_DEST_CARAC_TRIB PRIMARY KEY (CD_CTR_ENVIO, CARAC_TRIB);	
END

GO

IF OBJECT_ID('FK_GT_ENVIO_PERFIL_DEST_CARAC_TRIB_GT_ENVIO_EMITENTE') IS NULL 
BEGIN
	ALTER TABLE GT_ENVIO_PERFIL_DEST_CARAC_TRIB ADD CONSTRAINT FK_GT_ENVIO_PERFIL_DEST_CARAC_TRIB_GT_ENVIO_EMITENTE FOREIGN KEY(CD_CTR_ENVIO) REFERENCES GT_ENVIO_EMITENTE (CD_CTR);
END
